`lqr_carver_scan_line`
Prev | Carver objects | Next

## Name

lqr_carver_scan_line, lqr_carver_scan_line_ext — read out a multi-size image one line at a time

## Synopsis

    #include <lqr.h>

`gboolean lqr_carver_scan_line(` | LqrCarver* carver,
| gint* n,
| guchar** rgb`)`;

`gboolean lqr_carver_scan_line_ext(` | LqrCarver* carver,
| gint* n,
| void** rgb`)`;

## Description

The functions `lqr_carver_scan_line` and `lqr_carver_scan_line_ext` are used to read out the multi-size image contained in the `LqrCarver` object pointed to by `carver` one line at a time. They store the line number (row or column) in the variable pointed to by `n` and the colour values in the array pointed to by `rgb`; then they move the readout pointer to the next line, or they reset it if the end of the image is reached.

The first one must only be used on the `LqrCarver` objects created with `lqr_carver_new`, i.e. with 8-bit images, while the second one is general, but the `rgb` pointer must be cast to the appropriate type to be used (i.e pass the address of a pointer to `void` to the function `lqr_carver_scan_line_ext`, then cast it to a pointer of the appropriate type and use this last one for reading the output).

Use the function `lqr_carver_scan_by_row`(3) before calling these to know whether your image will be scanned by row or by column.

## Return value

These functions return `TRUE` in case the readout is successful and the end of the image was not reached, `FALSE` otherwise. If `lqr_carver_scan_line` is called over a non-8-bit `LqrCarver` object, it will return `FALSE`.

## See also

LqrColDepth(3), `lqr_carver_scan_reset`(3), `lqr_carver_scan`(3), `lqr_carver_scan_by_row`(3)

Prev | Up | Next
`lqr_carver_scan_by_row` | Home | `lqr_carver_get_width`